//sketch for cintrolling led through iot cloud//
#include "thingProperties.h"
int LED = 2;

void setup() {
  // Initialize serial and wait for port to open:
  Serial.begin(9600);
  pinMode(LED, OUTPUT);
  // This delay gives the chance to wait for a Serial Monitor without blocking if none is found
  delay(1500);

  // Defined in thingProperties.h
  initProperties();

  // Connect to Arduino IoT Cloud
  ArduinoCloud.begin(ArduinoIoTPreferredConnection);

  /*
     The following function allows you to obtain more information
     related to the state of network and IoT Cloud connection and errors
     the higher number the more granular information you’ll get.
     The default is 0 (only errors).
     Maximum is 4
  */
  setDebugMessageLevel(2);
  ArduinoCloud.printDebugInfo();
}

void loop() {
  ArduinoCloud.update();

  chart = random(0, 500);
  Serial.println("chart =" + String(chart));
  delay(500);

}



/*
  Since Led is READ_WRITE variable, onLedChange() is
  executed every time a new value is received from IoT Cloud.
*/
void onLedChange()  {
  Serial.println("led=" + String(led));
  if (led) {
    digitalWrite(LED, HIGH);
    Serial.println("High");
  }

  else {
    digitalWrite(LED, LOW);
    Serial.println("Low");
  }
}

/*
  Since Chart is READ_WRITE variable, onChartChange() is
  executed every time a new value is received from IoT Cloud.
*/
void onChartChange()  {